# Yahoo! UI Library

### classnamemanager 3.3.0

Yahoo! UI Library > classnamemanager > ClassNameManager
Search:
Filters Show Private Show Protected Show Deprecated

## `static` Class ClassNameManager

A singleton class providing:

- Easy creation of prefixed class names
- Caching of previously created class names for improved performance.

### Properties

#### Y.config.classNameDelimiter - `static {String}`

Configuration property indicating the delimiter used to compose all CSS class names in this YUI instance.
Default Value: "-"

#### Y.config.classNamePrefix - `static {String}`

Configuration property indicating the prefix for all CSS class names in this YUI instance.
Default Value: "yui"

### Methods

#### getClassName

`void getClassName ( + , skipPrefix )`
Returns a class name prefixed with the the value of the `Y.config.classNamePrefix` attribute + the provided strings. Uses the `Y.config.classNameDelimiter` attribute to delimit the provided strings. E.g. Y.ClassNameManager.getClassName('foo','bar'); // yui-foo-bar

Parameters:
  `+ <String>` classnameSection one or more classname sections to be joined
  `skipPrefix <Boolean>` If set to true, the classname will not be prefixed with the default Y.config.classNameDelimiter value.

Copyright © 2011 Yahoo! Inc. All rights reserved.